summaryrefslogtreecommitdiff
path: root/TRNS/run-paper-strong-full.sh
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2023-12-05 15:13:39 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2023-12-05 15:13:39 +0100
commit8834dec80ce31b44bcc280453f761c5be3fd7116 (patch)
tree993232782538c2b6ebb6b3f15c380ded02f734c0 /TRNS/run-paper-strong-full.sh
parentce2605e690ce9d4bf3cd43e4f1959200ea406a51 (diff)
TRNS: updated and extended benchmark scripts
Diffstat (limited to 'TRNS/run-paper-strong-full.sh')
-rwxr-xr-xTRNS/run-paper-strong-full.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/TRNS/run-paper-strong-full.sh b/TRNS/run-paper-strong-full.sh
new file mode 100755
index 0000000..9d3792c
--- /dev/null
+++ b/TRNS/run-paper-strong-full.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i; ignored, always uses 262144 elements
+
+(
+
+echo "prim-benchmarks TRNS strong-full (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+# >2048 is not in upstream
+for nr_dpus in 2543 2304 256 512 1024 2048; do
+ for nr_tasklets in 1 2 4 8 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets}; then
+ # upstream uses -p 2048, but then the number of DPUs is always constant...
+ timeout --foreground -k 1m 90m bin/host_code -w 0 -e 40 -p $nr_dpus -o 12288 -x 1 || true
+ fi
+ done
+done
+
+echo "Completed at $(date)"
+
+) | tee "log-$(hostname)-prim-strong-full.txt"